Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_debug.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_debug.cfg	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_debug.cfg	(revision 115)
@@ -36,14 +36,28 @@
   </rename_bloc>                                            
                                                             
+<<<<<<< .mine
+  <read_bloc id="0,1,2,3,4,5">                                        
+    <parameter name="size_read_queue"                       value="4" />
+    <parameter name="size_reservation_station"              value="4" />
+=======
   <read_bloc id="0">                                        
     <parameter name="size_read_queue"                       value="1" />
     <parameter name="size_reservation_station"              value="1" />
+>>>>>>> .r114
     <parameter name="nb_inst_retire_reservation_station"    value="1" />
   </read_bloc>                                              
+<<<<<<< .mine
+
+  <write_bloc id="0,1,2,3,4,5">                                       
+    <parameter name="size_write_queue"                      value="4" />
+    <parameter name="size_execute_queue"                    value="4" />
+=======
                                                             
   <write_bloc id="0">                                       
     <parameter name="size_write_queue"                      value="1" />
     <parameter name="size_execute_queue"                    value="1" />
+>>>>>>> .r114
     <parameter name="nb_bypass_write"                       value="0" />
+    <parameter name="write_queue_scheme"                    value="1" />
   </write_bloc>                                             
                                                             
@@ -62,15 +76,34 @@
     <parameter name="nb_inst_functionnal_unit" value="1" />
 
+    <timing type="2"  latence="1" delay="1" />
+    <timing type="8"  latence="1" delay="1" />
+    <timing type="10" latence="1" delay="1" />
+  </functionnal_unit>
+
+  <functionnal_unit id="1">
+    <parameter name="nb_inst_functionnal_unit" value="1" />
+
+    <timing type="2"  latence="1" delay="1" />
+    <timing type="10" latence="1" delay="1" />
+  </functionnal_unit>
+
+  <functionnal_unit id="2,3,4" >
+    <parameter name="nb_inst_functionnal_unit" value="1" />
+
     <timing type="0"  latence="1" delay="1" />
     <timing type="1"  latence="1" delay="1" />
-    <timing type="2"  latence="1" delay="1" />
     <timing type="3"  latence="1" delay="1" />
     <timing type="4"  latence="1" delay="1" />
     <timing type="6"  latence="1" delay="1" />
     <timing type="7"  latence="1" delay="1" />
+<<<<<<< .mine
+  </functionnal_unit>
+
+=======
     <timing type="8"  latence="1" delay="1" />
     <timing type="10" latence="1" delay="1" />
   </functionnal_unit>
 
+>>>>>>> .r114
   <front_end id="0">        
     <parameter name="nb_decod_unit"                         value="1" />
@@ -81,10 +114,25 @@
     <parameter name="btb_associativity"                     value="1" />
     <parameter name="btb_size_counter"                      value="2" />
+<<<<<<< .mine
+    <parameter name="btb_victim_scheme"                     value="3" />
+    <parameter name="dir_predictor_scheme"                  value="8" />
+=======
     <parameter name="btb_victim_scheme"                     value="1" />
     <parameter name="dir_predictor_scheme"                  value="1" />
+>>>>>>> .r114
                                                             
     <predictor id="0">                                      
+<<<<<<< .mine
+      <parameter name="dir_have_bht"                        value="1"  />
+      <parameter name="dir_bht_size_shifter"                value="4"  />
+      <parameter name="dir_bht_nb_shifter"                  value="64" />
+      <parameter name="dir_have_pht"                        value="0"  />
+      <parameter name="dir_pht_size_counter"                value="2"  />
+      <parameter name="dir_pht_nb_counter"                  value="128"/>
+      <parameter name="dir_pht_size_address_share"          value="0"  />
+=======
       <parameter name="dir_have_bht"                        value="0" />
       <parameter name="dir_have_pht"                        value="0" />
+>>>>>>> .r114
     </predictor>                                            
                                                             
@@ -96,6 +144,11 @@
     <predictor id="2">                                      
       <parameter name="dir_have_bht"                        value="0" />
+<<<<<<< .mine
+      <parameter name="dir_have_pht"                        value="0" />
+    </predictor>                                            
+=======
       <parameter name="dir_have_pht"                        value="0" />
     </predictor>
+>>>>>>> .r114
   </front_end>
 
@@ -123,12 +176,28 @@
 
   <execute_loop id="0">
+<<<<<<< .mine
+    <parameter name="nb_read_unit"                          value="6" />
+    <parameter name="nb_write_unit"                         value="6" />
+    <parameter name="nb_execute_unit"                       value="6" />
+=======
     <parameter name="nb_read_unit"                          value="1" />
     <parameter name="nb_write_unit"                         value="1" />
+>>>>>>> .r114
     <parameter name="nb_gpr_bank"                           value="1" />
+<<<<<<< .mine
+    <parameter name="nb_gpr_port_read_by_bank"              value="10" />
+    <parameter name="nb_gpr_port_write_by_bank"             value="5" />
+=======
     <parameter name="nb_gpr_port_read_by_bank"              value="1" />
     <parameter name="nb_gpr_port_write_by_bank"             value="1" />
+>>>>>>> .r114
     <parameter name="nb_spr_bank"                           value="1" />
+<<<<<<< .mine
+    <parameter name="nb_spr_port_read_by_bank"              value="5" />
+    <parameter name="nb_spr_port_write_by_bank"             value="5" />
+=======
     <parameter name="nb_spr_port_read_by_bank"              value="1" />
     <parameter name="nb_spr_port_write_by_bank"             value="1" />
+>>>>>>> .r114
     <parameter name="execution_unit_to_write_unit_priority" value="1" />
     <parameter name="read_unit_to_execution_unit_priority"  value="1" />
@@ -159,18 +228,151 @@
   <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
   <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
+  <link name="link_read_unit_with_read_bloc"           src="4"     dest="0.4" />
+  <link name="link_read_unit_with_read_bloc"           src="5"     dest="0.5" />
   <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
+<<<<<<< .mine
+  <link name="link_write_unit_with_write_bloc"         src="1"     dest="0.1" />
+  <link name="link_write_unit_with_write_bloc"         src="2"     dest="0.2" />
+  <link name="link_write_unit_with_write_bloc"         src="3"     dest="0.3" />
+  <link name="link_write_unit_with_write_bloc"         src="4"     dest="0.4" />
+  <link name="link_write_unit_with_write_bloc"         src="5"     dest="0.5" />
+=======
+>>>>>>> .r114
   <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
   <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
   <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
 
+<<<<<<< .mine
+  <link name="link_execute_unit_with_load_store_unit"  src="0"     dest="0.0"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="0"     dest="0.1"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="1"     dest="0.2"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="2"     dest="0.3"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="3"     dest="0.4"/>
+  <link name="link_execute_unit_with_functionnal_unit" src="4"     dest="0.5"/>
+
+=======
+>>>>>>> .r114
   <link name="link_icache_port_with_thread"            src="0"     dest="0"   />
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
   <link name="table_dispatch"                          src="0.0.0" dest="1"   />
+<<<<<<< .mine
+  <link name="table_dispatch"                          src="0.1.0" dest="0"   />
+  <link name="table_dispatch"                          src="0.2.0" dest="0"   />
+  <link name="table_dispatch"                          src="0.3.0" dest="0"   />
+
+  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.1" dest="0"   />
+  <link name="table_dispatch"                          src="0.2.1" dest="0"   />
+  <link name="table_dispatch"                          src="0.3.1" dest="0"   />
+
+  <link name="table_dispatch"                          src="0.0.2" dest="0"   />
+  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
+  <link name="table_dispatch"                          src="0.2.2" dest="1"   />
+  <link name="table_dispatch"                          src="0.3.2" dest="1"   />
+
+  <link name="table_dispatch"                          src="0.0.3" dest="0"   />
+  <link name="table_dispatch"                          src="0.1.3" dest="1"   />
+  <link name="table_dispatch"                          src="0.2.3" dest="1"   />
+  <link name="table_dispatch"                          src="0.3.3" dest="1"   />
+
+=======
+>>>>>>> .r114
+  <link name="table_dispatch"                          src="0.0.4" dest="0"   />
+  <link name="table_dispatch"                          src="0.1.4" dest="1"   />
+  <link name="table_dispatch"                          src="0.2.4" dest="1"   />
+  <link name="table_dispatch"                          src="0.3.4" dest="1"   />
+
+  <link name="table_dispatch"                          src="0.0.5" dest="0"   />
+  <link name="table_dispatch"                          src="0.1.5" dest="1"   />
+  <link name="table_dispatch"                          src="0.2.5" dest="1"   />
+  <link name="table_dispatch"                          src="0.3.5" dest="1"   />
+
   <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
+<<<<<<< .mine
+  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="1"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="3.0"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="4.0"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="5.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.1"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.1"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.1"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.1"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.2"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.2"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.2"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.2"   dest="1"   />
+=======
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
+>>>>>>> .r114
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.2"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.2"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.3"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.3"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.3"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.3"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.3"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.4"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.4"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.4"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.4"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="4.4"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="5.4"   dest="1"   />
+
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
+<<<<<<< .mine
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="3.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="4.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="5.0"   dest="0"   />
+
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="4.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="5.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.1"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.1"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="4.1"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="5.1"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.2"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.2"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.2"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.2"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="4.2"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="5.2"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.3"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.3"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.3"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.3"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="4.3"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="5.3"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.4"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.4"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.4"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.4"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="4.4"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="5.4"   dest="1"   />
+
+=======
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+>>>>>>> .r114
   <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="0.3"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="0.4"   dest="1"   />
 
 </core>
